aboutsummaryrefslogtreecommitdiffstats
path: root/aai-traversal/src/main/swm/package/nix/common
diff options
context:
space:
mode:
authorVenkata Harish K Kajur <vk250x@att.com>2018-02-06 15:06:44 -0500
committerVenkata Harish K Kajur <vk250x@att.com>2018-03-07 10:02:36 -0500
commita0d3e8ee8d78d41e4a58437983bc4c894d0024df (patch)
tree37f4698a9481349548eec326f2845f8cb1abd06f /aai-traversal/src/main/swm/package/nix/common
parente688a3115c5de57ca9ac3e218fad6ecb50d6f8b1 (diff)
Update traversal from AJSC 2 to Spring Boot
Issue-ID: AAI-799 Change-Id: I6500f661db704726f529f665203a9c0605e8193e Signed-off-by: Venkata Harish K Kajur <vk250x@att.com>
Diffstat (limited to 'aai-traversal/src/main/swm/package/nix/common')
-rw-r--r--aai-traversal/src/main/swm/package/nix/common/deinstall.env10
-rw-r--r--aai-traversal/src/main/swm/package/nix/common/install_postproc.sh39
2 files changed, 49 insertions, 0 deletions
diff --git a/aai-traversal/src/main/swm/package/nix/common/deinstall.env b/aai-traversal/src/main/swm/package/nix/common/deinstall.env
new file mode 100644
index 0000000..fb0a9f5
--- /dev/null
+++ b/aai-traversal/src/main/swm/package/nix/common/deinstall.env
@@ -0,0 +1,10 @@
+
+# This file is used to set the environment which the install_*.sh files
+# will use when executing. Only set variables that must be derived at
+# installation time here. For variables that should be set by the installer
+# in SWM, add VariableDescriptor elements to the descriptor.xml. Place
+# logical steps in the install_preproc.sh or install_postproc.sh.
+
+. `dirname $0`/common.env
+
+AAI_USER=aaiadmin;export AAI_USER
diff --git a/aai-traversal/src/main/swm/package/nix/common/install_postproc.sh b/aai-traversal/src/main/swm/package/nix/common/install_postproc.sh
new file mode 100644
index 0000000..ab5f2b7
--- /dev/null
+++ b/aai-traversal/src/main/swm/package/nix/common/install_postproc.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+###
+# ============LICENSE_START=======================================================
+# org.onap.aai
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+###
+
+##############################################################################
+# - SCLD GRM SERVICE
+# - Copyright 2009 AT&T Intellectual Properties
+##############################################################################
+
+
+. `dirname $0`/install.env
+
+cd ${ROOT_DIR};
+
+TEMPLATE_YAML_FILE=${ROOT_DIR}/docker-compose.template.yaml
+YAML_FILE=${ROOT_DIR}/docker-compose.yaml
+
+sh ${UTILPATH}/findreplace.sh ${TEMPLATE_YAML_FILE} ${YAML_FILE} || exit 200
+rm ${TEMPLATE_YAML_FILE}
+
+exit 0